Subject: Re: [PATCH] powerpc: add support for PAGE_SIZEs greater than 4KB for

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 13 Sep 2008 10:49:13 -0700

On Thu, 2008-09-11 at 09:57 -0700, prodyut hazarika wrote:

> You should mention an example of dedicated cases (eg. RAID).
> I think this help should mention that for page size 256KB, you will
> need to have a special version of binutils, since the ELF standard
> mentions page sizes only upto 64KB.

He should also put a BIG FAT warning with 256K pages. Those will -not-
work with most existing userspace. The maximum page size supported by
the current userspace ABI is 64K as this is the alignment requirement of
our toolchain for the various program sections.

(Note that uClibc last I looked was also still broken with >4K pages but
that shouldn't be a big deal to fix).

Ben.